<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (19) on Mon Oct 17 22:19:32 CEST 2022 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-17">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../Controller/SearchCardController.html" class="type-name-link" title="class in Controller">SearchCardController</a> - Class in <a href="../Controller/package-summary.html">Controller</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Controller/SearchCardController.html#%3Cinit%3E()" class="member-name-link">SearchCardController()</a> - Constructor for class Controller.<a href="../Controller/SearchCardController.html" title="class in Controller">SearchCardController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../databaseConnector/databaseConnector.html#selectCards(java.sql.Connection,java.lang.String)" class="member-name-link">selectCards(Connection, String)</a> - Static method in class databaseConnector.<a href="../databaseConnector/databaseConnector.html" title="class in databaseConnector">databaseConnector</a></dt>
<dd>
<div class="block">This function is a simple select query with the name of the monster</div>
</dd>
<dt><a href="../card/monsterCard.html#setAtk(int)" class="member-name-link">setAtk(int)</a> - Method in class card.<a href="../card/monsterCard.html" title="class in card">monsterCard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../card/monsterCard.html#setAttribute(java.lang.String)" class="member-name-link">setAttribute(String)</a> - Method in class card.<a href="../card/monsterCard.html" title="class in card">monsterCard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../player/player.html#setDecks(java.util.List)" class="member-name-link">setDecks(List&lt;DECK&gt;)</a> - Method in class player.<a href="../player/player.html" title="class in player">player</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../card/monsterCard.html#setDef(int)" class="member-name-link">setDef(int)</a> - Method in class card.<a href="../card/monsterCard.html" title="class in card">monsterCard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../player/player.html#setIndexCurrentDeck(int)" class="member-name-link">setIndexCurrentDeck(int)</a> - Method in class player.<a href="../player/player.html" title="class in player">player</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../card/monsterCard.html#setLevel(int)" class="member-name-link">setLevel(int)</a> - Method in class card.<a href="../card/monsterCard.html" title="class in card">monsterCard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../player/player.html#setLp(int)" class="member-name-link">setLp(int)</a> - Method in class player.<a href="../player/player.html" title="class in player">player</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../card/monsterCard.html#setMode(duel.MODE)" class="member-name-link">setMode(MODE)</a> - Method in class card.<a href="../card/monsterCard.html" title="class in card">monsterCard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../card/card.html#setOwner(player.player)" class="member-name-link">setOwner(player)</a> - Method in class card.<a href="../card/card.html" title="class in card">card</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../duel/Duel.html#singDuel" class="member-name-link">singDuel</a> - Static variable in class duel.<a href="../duel/Duel.html" title="class in duel">Duel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../duel/PHASE.html#SP" class="member-name-link">SP</a> - Enum constant in enum class duel.<a href="../duel/PHASE.html" title="enum class in duel">PHASE</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../APP/Main.html#start(javafx.stage.Stage)" class="member-name-link">start(Stage)</a> - Method in class APP.<a href="../APP/Main.html" title="class in APP">Main</a></dt>
<dd>
<div class="block">Beginning of the program (Main)</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
